Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.formmodel
Class NewDefinition

    java.lang.Object
      org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
          org.apache.cocoon.forms.formmodel.NewDefinition

All Implemented Interfaces:
  org.apache.cocoon.util.location.Locatable, WidgetDefinition

public class NewDefinition
extends AbstractWidgetDefinition

This is the "`WidgetDefinition`" which is used to instantiate a `ClassDefinition`. The resolve step replaces this definition with the definitions contained in the referenced `ClassDefinition`.

Version:
  $Id: NewDefinition.java 587759 2007-10-24 03:00:37Z vgritsenko $

Field Summary

Fields inherited from class org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
`createListener, enclosingLibrary, parent`

Constructor Summary
`NewDefinition()`

Method Summary
`Widget` | `createInstance()` Creates and returns a widget based on this widget definition.
`void` | `resolve(List parents, WidgetDefinition parent)`

Methods inherited from class org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
`addCreateListener, addValidator, checkCompleteness, checkMutable, fireCreateEvent, generateDisplayData, generateDisplayData, generateLabel, getAttribute, getEnclosingLibrary, getFormDefinition, getId, getLocation, getParent, getState, initializeFrom, makeImmutable, setAttributes, setDisplayData, setEnclosingLibrary, setId, setLocation, setParent, setState, validate, widgetCreated`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NewDefinition

    public NewDefinition()

Method Detail

### resolve

    public void resolve(List parents,
                        WidgetDefinition parent)
                 throws Exception

  Throws:
    `Exception`

### createInstance

    public Widget createInstance()

  Description copied from interface: `WidgetDefinition`
  Creates and returns a widget based on this widget definition.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.